package service

import (
	"git.gocasts.ir/ebhomengo/niki/domain/order/entity"
	richerror "git.gocasts.ir/ebhomengo/niki/pkg/rich_error"
)

func (s *Service) GetShipping() ([]entity.Shipping, error) {
	const Op = "domain.order.service.shipping.get-shipping"
	shippings, err := s.repo.GetShipping()
	if err != nil {
		return []entity.Shipping{}, richerror.New(Op)
	}

	return shippings, nil
}
